Name:           perl-DBIx-Class-DeploymentHandler
Version:        0.002222
Release:        2%{?dist}
Summary:        Extensible DBIx::Class deployment
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/DBIx-Class-DeploymentHandler/
Source0:        http://search.cpan.org/CPAN/authors/id/F/FR/FREW/DBIx-Class-DeploymentHandler-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Carp::Clan)
BuildRequires:  perl(Context::Preserve)
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(DBI)
BuildRequires:  perl(DBIx::Class::Core)
BuildRequires:  perl(DBIx::Class::ResultSet)
BuildRequires:  perl(DBIx::Class::Schema)
BuildRequires:  perl(DBIx::Class::Schema::Loader)
BuildRequires:  perl(DBIx::Class::Storage)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Log::Contextual)
BuildRequires:  perl(Log::Contextual::Role::Router)
BuildRequires:  perl(Log::Contextual::WarnLogger)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::Role::Parameterized)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(SQL::Translator)
BuildRequires:  perl(SQL::Translator::Diff)
BuildRequires:  perl(Sub::Exporter::Progressive)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.41
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Text::Brew)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(aliased)
BuildRequires:  perl(autodie)
BuildRequires:  perl(base)
BuildRequires:  perl(lib)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)

Requires:       perl(DBIx::Class::Schema::Loader)
Requires:       perl(Log::Contextual::Role::Router)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
DBIx::Class::DeploymentHandler is, as its name suggests, a tool for deploying
and upgrading databases with DBIx::Class. It is designed to be much more
flexible than DBIx::Class::Schema::Versioned, hence the use of Moose and lots
of roles.

%prep
%setup -q -n DBIx-Class-DeploymentHandler-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
RELEASE_TESTING=1 make test

%files
%doc Changes TODO
%{_mandir}/man3/DBIx*
%{perl_vendorlib}/DBIx/Class/DeploymentHandler*

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.002222-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 10 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.002222-1
- Update to 0.002222

* Sun Oct 01 2017 Emmanuel Seyman <emmanuel@seyman.fr> - 0.002221-1
- Update to 0.002221

* Sun Sep 03 2017 Emmanuel Seyman <emmanuel@seyman.fr> - 0.002220-1
- Update to 0.002220

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.002219-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.002219-2
- Perl 5.26 rebuild

* Sun Mar 26 2017 Emmanuel Seyman <emmanuel@seyman.fr> - 0.002219-1
- Update to 0.002219

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.002218-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue May 17 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.002218-4
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.002218-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 12 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.002218-2
- Take into account review comments (#1281245)

* Tue Nov 10 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.002218-1
- Update to 0.002218

* Thu Oct 22 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.002217-2
- Clean up spec file

* Sat Oct 17 2015 Adam Williamson <awilliam@redhat.com> - 0.002217-1
- initial package
